summaryrefslogtreecommitdiffstats
path: root/bin/doconfd
diff options
context:
space:
mode:
Diffstat (limited to 'bin/doconfd')
-rwxr-xr-xbin/doconfd15
1 files changed, 15 insertions, 0 deletions
diff --git a/bin/doconfd b/bin/doconfd
new file mode 100755
index 000000000..73d5cedcf
--- /dev/null
+++ b/bin/doconfd
@@ -0,0 +1,15 @@
+#!/bin/bash
+# Copyright 1999-2005 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-src/portage/bin/doconfd,v 1.2.2.1 2005/01/13 04:51:56 vapier Exp $
+
+if [ ${#} -lt 1 ] ; then
+ echo "doconfd: at least one argument needed"
+ exit 1
+fi
+
+tmp_INSDESTTREE="${INSDESTTREE}"
+INSDESTTREE=/etc/conf.d/
+doins "$@"
+INSDESTTREE="${tmp_INSDESTTREE}"
+unset tmp_INSDESTTREE